import express from 'express';
import path from 'node:path';
import { fileURLToPath } from 'node:url';

import { app } from './server.mjs';
import db from './db.mjs';
import api from './api.mjs';
import feed from './feed.mjs';
import utils from './utils.mjs';

// server

app.use(utils.limiter(500));

app.use(express.static(path.join(path.dirname(fileURLToPath(import.meta.url)), "../public")));

app.use('/api', api);
app.use('/atom', feed);

// Listen

const port = utils.port;

app.listen(port, () => {
    console.log(`Listening on port ${port}`);
});
